# $Revision: 1.3.2.2 $, $Date: 2003/08/08 18:38:56 $
Summary:	Ogg Vorbis output plugin for XMMS
Summary(pl):	Wtyczka dla XMMS kompresujca wyjcie do plikw Ogg Vorbis
Name:		xmms-output-ogg
Version:	0.2
Release:	2
License:	GPL
Group:		Development/Libraries
Source0:	http://dl.sourceforge.net/my-xmms-plugs/oggre-%{version}.tar.gz
# Source0-md5:	247eff58c8310a1f21bb84c46d3e5848
Patch0:		%{name}-enc.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libogg-devel
BuildRequires:	libtool
BuildRequires:	libvorbis-devel
BuildRequires:	xmms-devel
Requires:	xmms
Provides:	xmms-output-plugin
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_xmms_plugin_dir	%(xmms-config --output-plugin-dir)

%description
This is the oggre output plugin for xmms. It enables you to output all
media played using xmms into the Ogg-Vorbis files.

%description -l pl
To jest wtyczka wyjciowa oggre dla xmms. Umoliwia przekierowanie
wyjcia caego dwiku odgrywanego przez xmms do plikw Ogg-Vorbis.

%prep
%setup -q -n oggre
%patch -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_xmms_plugin_dir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS
%attr(755,root,root) %{_xmms_plugin_dir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-output-ogg.spec,v $
Revision 1.3.2.2  2003/08/08 18:38:56  misi3k
- rel 2
- rebuild
- md5

Revision 1.3.2.1  2003/07/11 12:04:55  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.3  2003/02/09 19:06:44  kloczek
- install plugin in system avalailbe xmms plugin depending path.

Revision 1.2  2003/02/02 01:39:19  qboosh
- pl description

Revision 1.1  2003/01/30 18:49:59  wolf
- new
